- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TimeDomainStage Class Reference

The in-memory representation of the <stage> element. More...

`#include <OSInstance.h>`

Collaboration diagram for TimeDomainStage:

[legend]
List of all members.

## Public Member Functions
| TimeDomainStage ()
| The TimeDomainStage class constructor.
| ~TimeDomainStage ()
| The TimeDomainStage class destructor.
| TimeDomainStage ()
| The TimeDomainStage class constructor.
| ~TimeDomainStage ()
| The TimeDomainStage class destructor.
## Public Attributes
std::string | name
| name corresponds to the optional attribute that holds the name of the stage; the default value is empty
TimeDomainStageVariables * | variables
| variables is a pointer to a TimeDomainVariables object
TimeDomainStageConstraints * | constraints
| constraints is a pointer to a TimeDomainConstraints object
TimeDomainStageObjectives * | objectives
| objectives is a pointer to a TimeDomainObjectives object
TimeDomainStageVariables * | variables
| variables is a pointer to a TimeDomainVariables object
TimeDomainStageConstraints * | constraints
| constraints is a pointer to a TimeDomainConstraints object
TimeDomainStageObjectives * | objectives
| objectives is a pointer to a TimeDomainObjectives object

## Detailed Description

The in-memory representation of the <stage> element.

Definition at line 625 of file OSInstance.h.

## Constructor & Destructor Documentation

TimeDomainStage::TimeDomainStage | ( |  | ) |

The TimeDomainStage class constructor.

Definition at line 834 of file OSInstance.cpp.

References constraints, objectives, and variables.

TimeDomainStage::~TimeDomainStage | ( |  | ) |

The TimeDomainStage class destructor.

Definition at line 846 of file OSInstance.cpp.

References constraints, objectives, and variables.

TimeDomainStage::TimeDomainStage | ( |  | ) |

The TimeDomainStage class constructor.

TimeDomainStage::~TimeDomainStage | ( |  | ) |

The TimeDomainStage class destructor.

## Member Data Documentation

std::string TimeDomainStage::name

name corresponds to the optional attribute that holds the name of the stage; the default value is empty

Definition at line 637 of file OSInstance.h.

Referenced by OSInstance::getTimeDomainStageNames().

TimeDomainStageVariables* TimeDomainStage::variables

variables is a pointer to a TimeDomainVariables object

Definition at line 640 of file OSInstance.h.

Referenced by OSInstance::getTimeDomainStageNumberOfVariables(), OSInstance::getTimeDomainStageVarList(), OSInstance::setTimeDomainStages(), OSInstance::setTimeDomainStageVariablesOrdered(), OSInstance::setTimeDomainStageVariablesUnordered(), TimeDomainStage(), and ~TimeDomainStage().

TimeDomainStageConstraints* TimeDomainStage::constraints

constraints is a pointer to a TimeDomainConstraints object

Definition at line 643 of file OSInstance.h.

Referenced by OSInstance::getTimeDomainStageConList(), OSInstance::getTimeDomainStageNumberOfConstraints(), OSInstance::setTimeDomainStageConstraintsOrdered(), OSInstance::setTimeDomainStageConstraintsUnordered(), OSInstance::setTimeDomainStages(), TimeDomainStage(), and ~TimeDomainStage().

TimeDomainStageObjectives* TimeDomainStage::objectives

objectives is a pointer to a TimeDomainObjectives object

Definition at line 646 of file OSInstance.h.

Referenced by OSInstance::getTimeDomainStageNumberOfObjectives(), OSInstance::getTimeDomainStageObjList(), OSInstance::setTimeDomainStageObjectivesOrdered(), OSInstance::setTimeDomainStageObjectivesUnordered(), OSInstance::setTimeDomainStages(), TimeDomainStage(), and ~TimeDomainStage().

TimeDomainStageVariables* TimeDomainStage::variables

variables is a pointer to a TimeDomainVariables object

Definition at line 582 of file OSInstance.h.

TimeDomainStageConstraints* TimeDomainStage::constraints

constraints is a pointer to a TimeDomainConstraints object

Definition at line 585 of file OSInstance.h.

TimeDomainStageObjectives* TimeDomainStage::objectives

objectives is a pointer to a TimeDomainObjectives object

Definition at line 588 of file OSInstance.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.cpp